Subject: [bug#43976] [PATCH] Chicken build system + some example eggs

From: Efraim Flashner <[email-masked]>
Date: Sat, 21 Nov 2020 22:58:58 +0200

On Sat, Nov 21, 2020 at 09:45:43PM +0100, raingloom wrote:
> On Fri, 20 Nov 2020 05:51:17 +0100
> raingloom <[email-masked]> wrote:
> 
> > Possibly more important: I noticed some warnings in some builds about
> > cp(1). So far it hasn't caused any issues. Gonna fix this, then I
> > think it'll be mergeable.
> 
> Seems to be a srfi-18 specific issue, so I'm calling
> chicken-build-system final for now. You can merge it if it stands up to
> a review.

Well that's exciting! That's the patches at the beginning of the email
thread?

> The other eggs also seem fine, srfi-18 just has a somewhat shoddily
> written auxiliary build script to generate some type information,
> probably based on the current Chicken version? I'm not sure what it's
> doing to be honest. It doesn't fail to build because the script doesn't
> check for errors, which is why it took a while to notice it.
> 
> This is why we always `set -e` in our Bash scripts, kids.
> 
> Anyways, all other eggs seem to be fine, and none of them depend on
> srfi-18.

You can always rant at upstream or your monitor, your choice :)

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted